Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::ISensorTimestampTsc Class Reference
CaptureMetadata | Ext::SensorTimestampTsc

Interface used to get TSC HW timestamp. More...

`#include <SensorTimestampTsc.h>`

Inheritance diagram for Argus::Ext::ISensorTimestampTsc:

List of all members.

## Public Member Functions
virtual uint64_t | getSensorSofTimestampTsc () const =0
| Returns the VI HW (SOF) timestamp based on tegra wide timestamp system counter (TSC) This is the start timestamp for the sensor (in nanoseconds).
virtual uint64_t | getSensorEofTimestampTsc () const =0
| Returns the VI HW (EOF) timestamp based on tegra wide timestamp system counter (TSC) This is the end timestamp for the sensor (in nanoseconds).
virtual uint64_t | getSensorSofTimestampTsc2 () const =0
| Returns the VI HW (SOF) timestamp for second sensor based on tegra wide timestamp system counter (TSC) This is the start timestamp for the sensor (in nanoseconds).

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~ISensorTimestampTsc ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to get TSC HW timestamp.

Definition at line 63 of file SensorTimestampTsc.h.

## Constructor & Destructor Documentation

Argus::Ext::ISensorTimestampTsc::~ISensorTimestampTsc | ( |  | ) |
| inline protected

Definition at line 88 of file SensorTimestampTsc.h.

## Member Function Documentation

virtual uint64_t Argus::Ext::ISensorTimestampTsc::getSensorEofTimestampTsc | ( |  | ) | const
| pure virtual

Returns the VI HW (EOF) timestamp based on tegra wide timestamp system counter (TSC) This is the end timestamp for the sensor (in nanoseconds).

virtual uint64_t Argus::Ext::ISensorTimestampTsc::getSensorSofTimestampTsc | ( |  | ) | const
| pure virtual

Returns the VI HW (SOF) timestamp based on tegra wide timestamp system counter (TSC) This is the start timestamp for the sensor (in nanoseconds).

virtual uint64_t Argus::Ext::ISensorTimestampTsc::getSensorSofTimestampTsc2 | ( |  | ) | const
| pure virtual

Returns the VI HW (SOF) timestamp for second sensor based on tegra wide timestamp system counter (TSC) This is the start timestamp for the sensor (in nanoseconds).

static const InterfaceID& Argus::Ext::ISensorTimestampTsc::id | ( |  | ) |
| inline static

Definition at line 66 of file SensorTimestampTsc.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/SensorTimestampTsc.h